--- old/usr/src/uts/sparc/dtrace/dtrace_asm.s	Thu Nov 14 19:00:30 2019
+++ new/usr/src/uts/sparc/dtrace/dtrace_asm.s	Thu Nov 14 19:00:30 2019
@@ -23,72 +23,27 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint) || defined(__lint)
-#include <sys/dtrace_impl.h>
-#else
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/fsr.h>
 #include <sys/asi.h>
 #include "assym.h"
-#endif
 
-#if defined(lint) || defined(__lint)
-
-int
-dtrace_getipl(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getipl)
 	retl
 	rdpr	%pil, %o0
 	SET_SIZE(dtrace_getipl)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint_t
-dtrace_getotherwin(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getotherwin)
 	retl
 	rdpr	%otherwin, %o0
 	SET_SIZE(dtrace_getotherwin)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint_t
-dtrace_getfprs(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfprs)
 	retl
 	rd	%fprs, %o0
 	SET_SIZE(dtrace_getfprs)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-dtrace_getfsr(uint64_t *val)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfsr)
 	rdpr	%pstate, %o1
 	andcc	%o1, PSTATE_PEF, %g0
@@ -105,31 +60,11 @@
 	stx	%g0, [%o0]
 	SET_SIZE(dtrace_getfsr)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-greg_t
-dtrace_getfp(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(dtrace_getfp)
 	retl
 	mov	%fp, %o0
 	SET_SIZE(dtrace_getfp)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-void
-dtrace_flush_user_windows(void)
-{}
-
-#else
-
 	ENTRY_NP(dtrace_flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -148,32 +83,6 @@
 	nop
 	SET_SIZE(dtrace_flush_user_windows)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-uint32_t
-dtrace_cas32(uint32_t *target, uint32_t cmp, uint32_t new)
-{
-	uint32_t old;
-
-	if ((old = *target) == cmp)
-		*target = new;
-	return (old);
-}
-
-void *
-dtrace_casptr(void *target, void *cmp, void *new)
-{
-	void *old;
-
-	if ((old = *(void **)target) == cmp)
-		*(void **)target = new;
-	return (old);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_cas32)
 	cas	[%o0], %o1, %o2
 	retl
@@ -186,19 +95,6 @@
 	mov	%o2, %o0
 	SET_SIZE(dtrace_casptr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uintptr_t
-dtrace_caller(int aframes)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_caller)
 	sethi	%hi(nwin_minus_one), %g4
 	ld	[%g4 + %lo(nwin_minus_one)], %g4
@@ -233,19 +129,6 @@
 	mov	-1, %o0
 	SET_SIZE(dtrace_caller)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_fish(int aframes, int reg, uintptr_t *regval)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY(dtrace_fish)
 
 	rd	%pc, %g5
@@ -311,18 +194,6 @@
 	add	%g2, 1, %o0		! Failure; return deepest frame + 1
 	SET_SIZE(dtrace_fish)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyin(uintptr_t uaddr, uintptr_t kaddr, size_t size,
-    volatile uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyin)
 	tst	%o2
 	bz	2f
@@ -348,18 +219,6 @@
 
 	SET_SIZE(dtrace_copyin)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyinstr(uintptr_t uaddr, uintptr_t kaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyinstr)
 	tst	%o2
 	bz	2f
@@ -388,18 +247,6 @@
 
 	SET_SIZE(dtrace_copyinstr)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyout(uintptr_t kaddr, uintptr_t uaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyout)
 	tst	%o2
 	bz	2f
@@ -424,18 +271,6 @@
 	nop
 	SET_SIZE(dtrace_copyout)
 
-#endif
-	
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-dtrace_copyoutstr(uintptr_t kaddr, uintptr_t uaddr, size_t size,
-    volatile  uint16_t *flags)
-{}
-
-#else
-
 	ENTRY(dtrace_copyoutstr)
 	tst	%o2
 	bz	2f
@@ -463,17 +298,6 @@
 	nop
 	SET_SIZE(dtrace_copyoutstr)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uintptr_t
-dtrace_fulword(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fulword)
 	clr	%o1
 	ldna	[%o0]ASI_USER, %o1
@@ -481,17 +305,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fulword)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint8_t
-dtrace_fuword8(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword8)
 	clr	%o1
 	lduba	[%o0]ASI_USER, %o1
@@ -499,17 +312,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword8)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint16_t
-dtrace_fuword16(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword16)
 	clr	%o1
 	lduha	[%o0]ASI_USER, %o1
@@ -517,17 +319,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword16)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint32_t
-dtrace_fuword32(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword32)
 	clr	%o1
 	lda	[%o0]ASI_USER, %o1
@@ -535,17 +326,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword32)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint64_t
-dtrace_fuword64(void *addr)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_fuword64)
 	clr	%o1
 	ldxa	[%o0]ASI_USER, %o1
@@ -553,17 +333,6 @@
 	mov	%o1, %o0
 	SET_SIZE(dtrace_fuword64)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_getupcstack_top(uint64_t *pcstack, int pcstack_limit, uintptr_t *sp)
-{ return (0); }
-
-#else
-
 	/*
 	 * %g1	pcstack
 	 * %g2	current window
@@ -628,17 +397,6 @@
 	nop
 	SET_SIZE(dtrace_getupcstack_top)
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_getustackdepth_top(uintptr_t *sp)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_getustackdepth_top)
 	mov	%o0, %o2
 	rdpr	%otherwin, %o0
@@ -669,17 +427,6 @@
 	nop
 	SET_SIZE(dtrace_getustackdepth_top)
 
-#endif
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-ulong_t
-dtrace_getreg_win(uint_t reg, uint_t depth)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(dtrace_getreg_win)
 	sub	%o0, 16, %o0
 	cmp	%o0, 16			! %o0 must begin in the range [16..32)
@@ -735,17 +482,6 @@
 	mov	%i7, %g1
 	SET_SIZE(dtrace_getreg_win)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-dtrace_putreg_win(uint_t reg, ulong_t value)
-{}
-
-#else	/* lint */
-
 	ENTRY(dtrace_putreg_win)
 	sub	%o0, 16, %o0
 	cmp	%o0, 16			! %o0 must be in the range [16..32)
@@ -802,18 +538,6 @@
 	mov	%g1, %i7
 	SET_SIZE(dtrace_putreg_win)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-void
-dtrace_probe_error(dtrace_state_t *state, dtrace_epid_t epid, int which,
-    int fault, int fltoffs, uintptr_t illval)
-{}
-
-#else	/* lint */
-
 	ENTRY(dtrace_probe_error)
 	save	%sp, -SA(MINFRAME), %sp
 	sethi	%hi(dtrace_probeid_error), %l0
@@ -828,4 +552,3 @@
 	restore
 	SET_SIZE(dtrace_probe_error)
 
-#endif
